"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const micro_1 = __importDefault(require("micro"));
const configuring_1 = require("configuring");
const index_1 = __importDefault(require("./index"));
const default_1 = __importDefault(require("./config/default"));
const logger_1 = __importDefault(require("./logger"));
const configManager = configuring_1.createConfigManager({
    configurations: {
        default: default_1.default,
    },
});
const config = configManager.getConfig();
const port = process.env.PORT ? parseInt(process.env.PORT) : 8565;
const logger = logger_1.default(config);
const server = micro_1.default(index_1.default(config));
server.listen(port);
logger.info(`Caravaggio started on port ${port}. Preview at http://localhost:${port}`);
